Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452103 - libvirt-0.4.3 needs set/getsched
Summary: libvirt-0.4.3 needs set/getsched
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-19 12:39 UTC by Alan Pevec
Modified: 2008-11-17 22:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-17 22:04:42 UTC


Attachments (Terms of Use)
Compled SELinux policy module for libvirt-0.4.3-1 (deleted)
2008-06-20 08:02 UTC, Alan Pevec
no flags Details

Description Alan Pevec 2008-06-19 12:39:34 UTC
Description of problem:
libvirt-0.4.3 added support for NUMA and vCPU pinning in QEmu
http://git.et.redhat.com/?p=libvirt.git;a=commit;h=6aaea11636ba5674d30c94b8ff8659736ca78248

running with SELinux enabled gives:
avc: denied { getsched } for pid=6231 comm="libvirtd"
scontext=unconfined_u:system_r:virtd_t:s0
tcontext=unconfined_u:system_r:virtd_t:s0 tclass=process 

avc: denied { setsched } for pid=6231 comm="libvirtd"
scontext=unconfined_u:system_r:virtd_t:s0
tcontext=unconfined_u:system_r:qemu_t:s0 tclass=process

Version-Release number of selected component (if applicable):
libvirt-0.4.3-1
selinux-policy-targeted-3.3.1-64

How reproducible:
always

Steps to Reproduce:
1. setenforce 1
2. virsh start node3 (for example)
3.
  
Actual results:
libvir: QEMU error : internal error failed to set CPU affinity Permission denied

error: Failed to start domain node3



Expected results:
Domain node3 started



Additional info:

Comment 1 Alan Pevec 2008-06-20 08:02:27 UTC
Created attachment 309910 [details]
Compled SELinux policy module for libvirt-0.4.3-1

audit2allow generated SELinux policy module:

module libvirt043 1.0;
require {
	type virtd_t;
	type qemu_t;
	class process { setsched getsched };
}
#============= virtd_t ==============
allow virtd_t qemu_t:process setsched;
allow virtd_t self:process getsched;

Attached is compiled module which you can install with:
semodule -i libvirt043.pp

Comment 2 Daniel Walsh 2008-06-22 10:53:30 UTC
Fixed in selinux-policy-3.3.1-68.fc9.noarch

Comment 3 Daniel Walsh 2008-11-17 22:04:42 UTC
Closing all bugs that have been in modified for over a month.  Please reopen if the bug is not actually fixed.


Note You need to log in before you can comment on or make changes to this bug.